'''
Created on 09.09.2012

@author: Admin
'''

import pygame
import math
from pygame.locals import *

class Frog:
    '''
    classdocs
    '''


    def __init__(self, scene, py_screen, app):
        '''
        Constructor
        '''
        
        self.app = app
        self.ws = scene
        self.app = self.ws.ws
        self.screen = py_screen
        self.color = (255,255,0)
        self.rect = pygame.Rect(50,440,20,20)
        self.xSpeed = 0
        self.ySpeed = 0
        self.gravitation = 200
        
        self.xPower = 0
        self.xPos = 0
        
        self.yPower = 0
        self.yPos = 0
        
        self.dy = 0
        
        self.frog_1 = self.app.getOtherImg(6)
        self.frog_2 = self.app.getOtherImg(7)
        self.frog_pos = [0,0]
        
    def setFrogPos(self, pos):
        self.rect.left = pos[0]
        self.rect.top = pos[1]
        
    def getFrogPos(self):
        return self.rect.center
        
    def update1(self):
        self.frog_pos[0] = self.rect.x - 10
        self.frog_pos[1] = self.rect.y - 10
        #pygame.draw.circle(self.screen, (128,128,0), self.getFrogPos(),self.ws.radius)
        self.screen.blit(self.frog_1, self.frog_pos)
        
    def adjustXPosition(self):
        sign = 1 if self.xSpeed > 0.0 else -1 if self.xSpeed < 0.0 else 0
        drang = int(math.floor(math.fabs(self.xSpeed)))
        rang = range(drang)
        for i in rang:
            self.rect.left += sign
        
    def adjustYPosition(self):
        sign = 1 if self.ySpeed > 0.0 else -1 if self.ySpeed < 0.0 else 0
        drang = int(math.floor(math.fabs(self.ySpeed)))
        rang = range(drang)
        for i in rang:
            self.rect.top += sign
            if self.ws.isCollide(self.rect):
                self.rect.top -= sign
                self.ws.setState3()
                return
                break
            
    def addPower(self, power):
        self.xPos = self.rect.x
        self.yPos = self.rect.y
        print self.xPos
        self.xPower = power[0]
        self.yPower = power[1]
        
        #self.xPower = 0
        #self.yPower = 0
        
    def getRect(self):
        return self.rect;
        
    def update2(self):
        self.dy = self.yPos;
       
        
        self.xPos += self.xPower * self.app.seconds
        self.yPos += self.yPower * self.app.seconds
        self.rect.x = int(self.xPos)
        self.rect.y = int(self.yPos)
        
        self.frog_pos[0] = self.rect.x - 10
        self.frog_pos[1] = self.rect.y - 20
        
        self.yPower += self.gravitation * self.app.seconds
        
        self.dy -= self.yPos
        if self.dy < 0:
            if self.ws.isCollide(self.rect):
                self.ws.setState3()
                
        if self.yPos > 480:
            self.ws.setState1(True)
            
        if self.ws.isCollidePoints(self.rect):
            pass
        
        if self.ws.isCollideBees(self.rect):
            self.ws.setState1(True)
            

        #self.adjustXPosition()
        #self.adjustYPosition()
         
        self.screen.blit(self.frog_2, self.frog_pos)
        #pygame.draw.rect(self.screen, self.color, self.rect)
        
    def update3(self):
        self.frog_pos[0] = self.rect.x - 10
        self.frog_pos[1] = self.rect.y - 10
        self.screen.blit(self.frog_1, self.frog_pos)
        #pygame.draw.rect(self.screen, self.color, self.rect)