'''
Created on 11.09.2012

@author: Admin
'''

import pygame
from pygame.locals import *

class Spriter:
    '''
    classdocs
    '''


    def __init__(self):
        '''
        Constructor
        '''
        self.fly_src = pygame.image.load("imgs/fly.png").convert_alpha()
        self.fly_frames = []
        self.fly_index = 0
        self.fly_time = 0.0
        for i in range(7):
            srf = self.fly_src.subsurface(pygame.Rect(i*42,0,42,33))
            self.fly_frames.append(srf)
            
        self.bee_src = pygame.image.load("imgs/bee.png").convert_alpha()
        self.bee_frames = []
        self.bee_frames_flip = []
        self.bee_index = 0
        self.bee_time = 0.0
        for i in range(6):
            srf = self.bee_src.subsurface(pygame.Rect(i*46,0,46,46))
            self.bee_frames.append(srf)
            self.bee_frames_flip.append(pygame.transform.flip(srf,True, False))
            
    def addBeeTime(self, time):
        self.bee_time += time
        if self.bee_time >= 0.033:
            self.bee_time = 0.0
            self.bee_index += 1
            if self.bee_index >= 6:
                self.bee_index = 0
                
    def getCurrentFrameBee(self, flip):
        if flip:
            return self.bee_frames[self.bee_index]
        else:
            return self.bee_frames_flip[self.bee_index]
            
    def addFlyTime(self, time):
        self.fly_time += time
        if self.fly_time >= 0.033:
            self.fly_time = 0.0
            self.fly_index += 1
            if self.fly_index >= len(self.fly_frames):
                self.fly_index = 0
                
    def getCurrentFrameFly(self):
        return self.fly_frames[self.fly_index]