'''
Created on 09.09.2012

@author: Admin
'''
import random
import pygame
from pygame.locals import *
from Bee import *

class Collider:
    '''
    classdocs
    '''


    def __init__(self, scr, spriter, ws):
        '''
        Constructor
        '''
        self.ws = ws
        self.screen = scr
        
        self.starts = []
        self.starts.append((60,465))
        self.starts.append((60,455))
        self.starts.append((90,365))
        self.starts.append((60,435))
        self.starts.append((90,455))
        self.starts.append((90,455))
        self.starts.append((90,405))
        self.starts.append((90,335))
        self.starts.append((90,385))
        self.starts.append((90,245))
        self.starts.append((80,335))
        self.starts.append((80,235))
        self.starts.append((80,445))
        self.starts.append((80,265))
        self.starts.append((80,445))
        self.starts.append((80,445))

        
        self.platforms = []
        self.platforms.append(pygame.Rect(190,410,100,10))
        self.platforms.append(pygame.Rect(230,450,100,10))
        self.platforms.append(pygame.Rect(280,310,100,10))
        self.platforms.append(pygame.Rect(420,400,100,10))
        self.platforms.append(pygame.Rect(420,230,100,10))
        self.platforms.append(pygame.Rect(300,190,100,10))
        self.platforms.append(pygame.Rect(500,300,100,10))
        self.platforms.append(pygame.Rect(430,210,100,10))
        self.platforms.append(pygame.Rect(300,190,100,10))
        self.platforms.append(pygame.Rect(410,320,100,10))
        self.platforms.append(pygame.Rect(340,150,100,10))
        self.platforms.append(pygame.Rect(420,430,100,10))
        self.platforms.append(pygame.Rect(490,210,100,10))
        self.platforms.append(pygame.Rect(360,360,100,10))
        self.platforms.append(pygame.Rect(470,190,100,10))
        self.platforms.append(pygame.Rect(490,390,100,10))
        self.spriter = spriter
        self.fly_pos = [0,0] 
        self.bee_pos = [0,0]
        self.bees = []
        #self.bees.append(Bee(True, True))
        #self.bees.append(Bee(True, False))
        
        #self.bees.append(Bee(False, True))
        #self.bees.append(Bee(False, False))
        
        self.points_array = []
        self.points_array.append([(130,178)])
        self.points_array.append([(150,230)])
        self.points_array.append([(118,200)])
        self.points_array.append([(398,229)])
        self.points_array.append([(173,229),(358, 69)])
        self.points_array.append([(138,229),(248, 91)])
        self.points_array.append([(173,262),(283, 124)])
        self.points_array.append([(133,222),(363, 144)])
        self.points_array.append([(133,222),(192, 131),(283,124)])
        self.points_array.append([(161,160),(226, 68),(311,61)])
        self.points_array.append([(111,199),(176, 108),(262,101)])
        self.points_array.append([(202,110),(290, 116),(389,203)])
        self.points_array.append([(128,248),(154, 180),(191,101),(397,103)])
        self.points_array.append([(167,97),(345, 97),(147,150),(360,150)])
        self.points_array.append([(132,260),(166, 181),(208,105),(384,62)])
        self.points_array.append([(112,340),(202, 186),(364,142),(445,244)])
        
        
        self.bees_array = []
        self.bees_array.append([(-42,137, True, True)])
        self.bees_array.append([(643,307, True, False)])
        self.bees_array.append([(190,-20, False, True)])
        self.bees_array.append([(280,480, False, False)])
        
        self.bees_array.append([(640,330, True, False), (-30,160, True, True)])
        self.bees_array.append([(-30,270, True, False), (640,330, True, True)])
        self.bees_array.append([(350,-20, False, True), (160,480, False, False)])
        self.bees_array.append([(640,-350, True, False), (220,-520, False, False)])
        
        self.bees_array.append([(-30,310, True, True), (210,-20, False, True),(640,140,True,False)])
        self.bees_array.append([(-30,80, True, True), (210,-20, False, True),(640,140,True,False)])
        self.bees_array.append([(-30,100, True, True), (220,480, False, False),(640,200,True,True)])
        self.bees_array.append([(-30,360, True, True), (350,-20, False, True),(210,480,False,False)])
        
        self.bees_array.append([(210,480, False, False),(290,550, False, False),(640,80, True, False),(760,130, True, False)])
        self.bees_array.append([(-150,80, True, True),(-30,130, True, True),(210,-100, False, True),(290,-30, False, True)])
        self.bees_array.append([(-150,80, True, True),(210,-100, False, True),(650,310, True, False),(290,570, False, False)])
        self.bees_array.append([(-30,330, True, True),(780,110, True, False),(380,-90, False, True),(200,150, True, True)])
        
        self.platform_img = self.ws.getOtherImg(4)
        
        self.current_platform = self.platforms[0]
        
    
    def isCollide(self, rectb):
        if self.current_platform.colliderect(rectb):
            return True
        return False
    
    
    
    def updatePoints(self):
        self.points = []
        ps = self.points_array[self.ws.getUser().getLevel()]
        for p in ps:
            self.points.append(pygame.Rect(p[0],p[1],20,20))
            
        self.bees = []
        ps = self.bees_array[self.ws.getUser().getLevel()]
        
        for p in ps:
            #print p
            self.bees.append(Bee(p[2],p[3],p[0],p[1]))
        self.fly_points = []
        
        self.fly_points.append((100-12,300-10))
        self.fly_points.append((150-12,250-10))
        
    def getStart(self):
        return self.starts[self.ws.getUser().getLevel()]
    
    def isCollidePoints(self, rectb):
        for point in self.points:
            if point.colliderect(rectb):
                self.points.remove(point)
                return True
        return False
    
    def isCollideBees(self,rectb):
        for bee in self.bees:
            rect = bee.getRect()
            if rect.colliderect(rectb):
                return True
        return False
    
    def getPlatform(self):
        return self.current_platform
    
    def updateRectPos(self):
        print "updateRectPos", self.ws.getUser().getLevel(), len(self.platforms)-1
        if self.ws.getUser().getLevel() >= len(self.platforms)-1:
                print "end img"
                self.platform_img = self.ws.getOtherImg(5)
                if self.ws.getUser().getLevel() == len(self.platforms)-1:
                    self.current_platform = self.platforms[self.ws.getUser().getLevel()]
                return True
        self.platform_img = self.ws.getOtherImg(4)
        self.current_platform = self.platforms[self.ws.getUser().getLevel()]
        return False
        #rect.x = random.randint(200,400)
        #rect.y = random.randint(200,400)
    
    def draw(self, seconds):
        self.spriter.addFlyTime(seconds)
        self.spriter.addBeeTime(seconds)
        #for rect in self.platforms:
            #pygame.draw.rect(self.screen, (0,128,255), rect)
        self.screen.blit(self.platform_img, self.current_platform.topleft)
        for rect in self.points:
            
            img = self.spriter.getCurrentFrameFly()
            self.fly_pos[0] = rect.x-12
            self.fly_pos[1] = rect.y-10
            self.screen.blit(img, self.fly_pos)
        for bee in self.bees:
            bee.update(seconds)
            rect = bee.getRect()
            self.bee_pos[0] = rect.x - 2
            self.bee_pos[1] = rect.y - 21
            img = self.spriter.getCurrentFrameBee(bee.getFlip())
            self.screen.blit(img, self.bee_pos)
            #pygame.draw.rect(self.screen, (0,128,255), bee.getRect())
            