'''
Created on 11.09.2012

@author: Admin
'''
import pygame
from pygame.locals import *

class EndGameScene(object):
    '''
    classdocs
    '''


    def __init__(self, game, py_screen):
        '''
        Constructor
        '''
        self.ws = game
        self.spriter = game.spriter
        self.screen = py_screen
        self.font = self.ws.getFont()
        scores = self.ws.getUser().getPoints()
        if scores < 10:
            x = "00" + str(scores)
        else:
            if scores < 100:
                x = "0" + str(scores)
            else:
                x = str(scores)
        self.scores_rend = self.font.render(x,True,(255,128,0))
        self.scores_pos = (370,226)
        
        self.scores_rend1 = self.font.render(x,True,(102,102,102))
        self.scores_pos1 = (372,228)
        
        self.continue_btn_rect = pygame.Rect(239,304,162,52)
        self.continue_btn_is_over = False
        self.continue_btn_over = self.ws.getButtonImage(1,True)
        self.continue_btn_norm = self.ws.getButtonImage(1,False)
        
        self.restart_btn_rect = pygame.Rect(239,364,162,52)
        self.restart_btn_is_over = False
        self.restart_btn_over = self.ws.getButtonImage(2,True)
        self.restart_btn_norm = self.ws.getButtonImage(2,False)
        
        self.img = None
        
        #self.restart_pos = pygame.Rect(100,100,self.rest_norm.get_width(),self.rest_norm.get_height())
        self.rest_is_over = False
        
        self.roll_1 = False
        self.roll_2 = False
        
        self.bg = self.ws.getSceneBG(2)
        
    def update(self):
        mouse_pos = pygame.mouse.get_pos()
        self.continue_btn_is_over = self.continue_btn_rect.collidepoint(mouse_pos)
        self.restart_btn_is_over = self.restart_btn_rect.collidepoint(mouse_pos)
        
        if self.continue_btn_is_over:
            if not self.roll_1:
                self.roll_1 = True
                self.ws.playSoundClick()
                
        if self.restart_btn_is_over:
            if not self.roll_2:
                self.roll_2 = True
                self.ws.playSoundClick()
        
        self.roll_1 = self.continue_btn_is_over
        self.roll_2 = self.restart_btn_is_over
        
        for event in pygame.event.get():
            if event.type == QUIT:
                self.ws.mainLoop = False
            if event.type == MOUSEBUTTONDOWN:
                if self.restart_btn_rect.collidepoint(mouse_pos):
                    self.ws.playSoundFrog()
                    self.ws.setScene(1, True)
                else:
                    if self.continue_btn_rect.collidepoint(mouse_pos):
                        self.ws.playSoundFrog()
                        self.ws.setScene(3)
                
        self.screen.blit(self.bg, (0,0))
        self.screen.blit(self.scores_rend1,self.scores_pos1)
        self.screen.blit(self.scores_rend,self.scores_pos)
        
        
        self.img = self.continue_btn_over if self.continue_btn_is_over else self.continue_btn_norm
        self.screen.blit(self.img, self.continue_btn_rect.topleft)
        
        self.img = self.restart_btn_over if self.restart_btn_is_over else self.restart_btn_norm
        self.screen.blit(self.img, self.restart_btn_rect.topleft)