'''
Created on 13.09.2012

@author: Admin
'''
import pygame
from pygame.locals import *

class SettingsScene:
    '''
    classdocs
    '''


    def __init__(self, game, py_screen):
        '''
        Constructor
        '''
        self.ws = game
        self.screen = py_screen
        self.bg = self.ws.getSceneBG(4)
        self.point = pygame.image.load("imgs/buttons/point.png").convert_alpha()
        self.img = None
        self.sound = self.ws.getSound()
        self.music = self.ws.getMusic()
        self.rect_sound = pygame.Rect(375, 195, 30, 30)
        self.rect_music = pygame.Rect(375, 260, 30, 30)
        
        self.over = False
        self.roll = False
        self.btn_over = self.ws.getButtonImage(6, True)
        self.btn_norm = self.ws.getButtonImage(6, False)
        self.btn_rect = pygame.Rect(239, 344, 162, 52)
        
    def update(self):
        mouse_pos = pygame.mouse.get_pos()
        self.over = self.btn_rect.collidepoint(mouse_pos)
        
        if self.over:
            if not self.roll:
                self.roll = True
                self.ws.playSoundClick()
        self.roll = self.over
        
        for event in pygame.event.get():
            if event.type == QUIT:
                self.ws.mainLoop = False
            if event.type == MOUSEBUTTONDOWN:
                if self.rect_music.collidepoint(mouse_pos):
                    self.music = self.ws.switchMusic()
                    self.ws.playSoundClick()
                else:
                    if self.rect_sound.collidepoint(mouse_pos):
                        self.sound = self.ws.switchSound()
                        self.ws.playSoundClick()
                    else:
                        if self.btn_rect.collidepoint(mouse_pos):
                            self.ws.playSoundFrog()
                            self.ws.setScene(3)
        self.screen.blit(self.bg, (0,0))
        
        if self.music:
            self.screen.blit(self.point, self.rect_music.topleft)
            
        if self.sound:
            self.screen.blit(self.point, self.rect_sound.topleft)
            
        self.img = self.btn_over if self.over else self.btn_norm
        self.screen.blit(self.img, self.btn_rect.topleft)